Skip to main content
GET
/
agreements
/
{agreement_id}
/
file
Get Agreement File
curl --request GET \
  --url https://api.luminpdf.com/v1/agreements/{agreement_id}/file \
  --header 'X-API-Key: <api-key>'
{
  "signed_url": "<string>",
  "expires_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.luminpdf.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Provide your API key in the X-API-Key header, e.g., X-API-Key: YOUR_API_KEY.

Path Parameters

agreement_id
string
required

ID of the AgreementGen document.

Response

Returns the downloadable file or binary PDF data of the AgreementGen document.

signed_url
string<uri>

Signed HTTPS URL to download the agreement file. Expires in 30 minutes.

expires_at
integer<unix-epoch>

Unix epoch timestamp (in seconds) indicating when signed_url will no longer work.